SchemaAttributeModelImpl (xmlbeans API)

org.apache.xmlbeans.impl.schema

## Class SchemaAttributeModelImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaAttributeModelImpl

- All Implemented Interfaces:
    SchemaAttributeModel

      public class SchemaAttributeModelImpl
      extends Object
      implements SchemaAttributeModel

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaAttributeModel

      `LAX, NONE, SKIP, STRICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaAttributeModelImpl()`
    `SchemaAttributeModelImpl(SchemaAttributeModel sam)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(SchemaLocalAttribute attruse)`
    `SchemaLocalAttribute` | `getAttribute(QName name)` Returns the attribute with the given name.
    `SchemaLocalAttribute[]` | `getAttributes()` Returns an array containing all the attributes in the model.
    `int` | `getWildcardProcess()` Returns the processing code (`SchemaAttributeModel.STRICT`, `SchemaAttributeModel.LAX`, `SchemaAttributeModel.SKIP`).
    `QNameSet` | `getWildcardSet()` QNameSet representing the attribute wildcard specification.
    `void` | `removeProhibitedAttribute(QName name)`
    `void` | `setWildcardProcess(int proc)`
    `void` | `setWildcardSet(QNameSet set)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaAttributeModelImpl

          public SchemaAttributeModelImpl()

    - #### SchemaAttributeModelImpl

          public SchemaAttributeModelImpl(SchemaAttributeModel sam)

  - ### Method Detail

    - #### getAttributes

          public SchemaLocalAttribute[] getAttributes()

      Description copied from interface: `SchemaAttributeModel`
      Returns an array containing all the attributes in the model.
      Specified by:
        `getAttributes` in interface `SchemaAttributeModel`

    - #### getAttribute

          public SchemaLocalAttribute getAttribute(QName name)

      Description copied from interface: `SchemaAttributeModel`
      Returns the attribute with the given name.
      Specified by:
        `getAttribute` in interface `SchemaAttributeModel`

    - #### addAttribute

          public void addAttribute(SchemaLocalAttribute attruse)

    - #### removeProhibitedAttribute

          public void removeProhibitedAttribute(QName name)

    - #### getWildcardSet

          public QNameSet getWildcardSet()

      Description copied from interface: `SchemaAttributeModel`
      QNameSet representing the attribute wildcard specification.
      Specified by:
        `getWildcardSet` in interface `SchemaAttributeModel`

    - #### setWildcardSet

          public void setWildcardSet(QNameSet set)

    - #### getWildcardProcess

          public int getWildcardProcess()

      Description copied from interface: `SchemaAttributeModel`
      Returns the processing code (`SchemaAttributeModel.STRICT`, `SchemaAttributeModel.LAX`, `SchemaAttributeModel.SKIP`). Returns 0 (`SchemaAttributeModel.NONE`) if no wildcard specified.
      Specified by:
        `getWildcardProcess` in interface `SchemaAttributeModel`

    - #### setWildcardProcess

          public void setWildcardProcess(int proc)